//
//  AdminCell.h
//  butterflyradio
//
//  Created by Denny Kwon on 8/14/12.
//
//

#import <UIKit/UIKit.h>
#import "Globals.h"

@protocol AdminCellDelegate <NSObject>
@required
- (void)buttonAction:(int)tag title:(NSString *)title;
- (void)postPremiumTrack:(int)tag;
@end

@interface AdminCell : UITableViewCell

@property (assign) id delegate;
@property (retain, nonatomic) NSArray *backgrounds;
@property (retain, nonatomic) NSDictionary *btnTitles;
@property (retain, nonatomic) UIImageView *stationImage;
@property (retain, nonatomic) UILabel *nameLabel;
@property (retain, nonatomic) UILabel *categoryLabel;
@property (retain, nonatomic) UIButton *btnPremiumTrack;
@property (nonatomic) CGFloat cellHeight;
- (void)setup;
- (void)fillImage:(UIImage *)img;
+ (CGFloat)rowHeight;
@end
