//
//  Host.h
//  butterflyradio
//
//  Created by Denny Kwon on 6/3/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Globals.h"
#import "Station.h"

@interface BRHost : NSObject <BRNetworkOpDelegate>

@property (nonatomic) BOOL guest;
@property (nonatomic) BOOL loggedIn;
@property (nonatomic) int tickets;
@property (retain, nonatomic) BRNetworkOp *req;
@property (copy, nonatomic) NSString *appHost;
@property (copy, nonatomic) NSString *email;
@property (copy, nonatomic) NSString *emailHost;
@property (copy, nonatomic) NSString *name;
@property (retain, nonatomic) NSArray *stations;
@property (retain, nonatomic) NSArray *premiumThreads; //array of strings which display which threads the user has access to
- (void)populate:(NSDictionary *)info;
- (void)refresh;
- (void)addPremiumThread:(BRTrack *)track;
@end
