//
//  Globals.h
//  butterflyradio
//
//  Created by Denny Kwon on 4/16/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#ifndef butterflyradio_Globals_h
#define butterflyradio_Globals_h

typedef enum {
    StationSearchFilterTop = 0, //top 10 stations overall
    StationSearchFilterAdmin, // all stations where ButterflyManager email is also an admin
    StationSearchFilterEmail, //stations whose host is the ButterflyManager email
    StationSearchFilterHost //stations that the host runs
} BRStationSearchFilter;

typedef enum {
    BRTrackAuthorizationNotLoggedIn = 0,
    BRTrackAuthorizationAuthorized,
    BRTrackAuthorizationEnoughTickets,
    BRTrackAuthorizationNeedMoreTickets
} BRTrackAuthorization;



//#define kUrl @"thegrid-butterflyradio.appspot.com"
#define kUrl @"www.butterflyradio.com"
#define kGeneralEmail @"info@butterflyradio.com"

// NOTIFICATIONS:
#define kImageReadyNotification @"image ready"
#define kTrackImageReadyNotification @"trackImageReady"
#define kThumbnailReadyNotification @"thumbnail ready"
#define kSupportLandscape @"support_landscape"
#define kPortraitOnly @"portraitOnly"
#define kResetDatabase @"resetDatabase"
#define kUpdate @"update"
#define kInterruptionNotification @"pause"
#define kRefreshNotification @"refresh"
#define kResetFeaturedViews @"ResetFeaturedViews"
#define kStationsReadyNotification @"StationsReady"
#define kSearchResultsReadyNotification @"SearchResultsReady"
#define kBRStreamerPlaybackNotification @"BRStreamerPlaybackNotification"
#define kBRStreamerFinishedNotification @"BRStreamerFinishedNotification"
#define kBRStreamerStartedNotification @"BRStreamerStaredNotification"
#define kNoSignalNotification @"NoSignalNotification"
#define kRecordingNotification @"RecordingNotification"
#define kAVPlayerReadyNotification @"AVPlayerReadyNotification"
#define kPlaystateChangedNotification @"PlaystateChangedNotification"



#define REFRESH_HEADER_HEIGHT 62.0f
#define kCellLabelWidth 290.0f
//#define kCellHeight 55.0f //standard cell height for TracksVC and ArticlesVC
#define kCellHeight 65.0f //standard cell height for TracksVC and ArticlesVC
#define kAdminCellHeight 150.0f
#define kDetailCellHeight 100.0f //standard cell height for tracks, articles, admins in login section
#define kRGBMax 255.0f
#define kFont @"Heiti SC"
#define kMaxDimen 130.0f //max image dimensions


//#define kDatabase @"database.sqlite3"
#define kDatabase @"brdatabase.sqlite3"
#define kTimeLimit 300
#define kCategories [[NSArray alloc] initWithObjects:@"advice", @"comedy", @"misc", @"politics", @"sports", nil]
#define kItunesURL @"http://itunes.apple.com/us/app/butterfly-radio/id593203394?mt=8"

#define kAdminStationsReq @"AdminStations"

#define kBlue [UIColor colorWithRed:227.0f/255.0f green:237.0f/255.0f blue:244.0f/255.0f alpha:1.0f]
#define kBRYellow [UIColor colorWithRed:254.0f/255.0f green:253.0f/255.0f blue:231.0f/255.0f alpha:1.0f]
#define kBRRed [UIColor colorWithRed:136.0f/255.0f green:0.0f/255.0f blue:0.0f/255.0f alpha:1.0f]
#define kBRLightGray [UIColor colorWithRed:0.95f green:0.95f blue:0.95f alpha:1.0f]


// IN APP PURCHASE STUFF:
//#warning INSERT YOUR ITUNESCONNECT SHARED SECRET
#define kSHARED_SECRET @"d43dc41475db47bbb3c64292524e4cb8"
#define kSandboxItunesUrl @"https://sandbox.itunes.apple.com/verifyReceipt" //SANDBOX
#define kItunesUrl @"https://buy.itunes.apple.com/verifyReceipt"  // LIVE
#define k5TicketsProductId @"com.butterflyradio.5ticket"
#define k10TicketsProductId @"com.butterflyradio.10ticket"
#define kTicketsPurchaseKey @"TicketsPurchaseKey"



#endif
