//
//  BRRecordViewController.h
//  ButterflySDK
//
//  Created by Denny Kwon on 1/15/13.
//  Copyright (c) 2013 ButterflyRadio. All rights reserved.
//

#import "ButterflyViewController.h"
#import "ButterflyViewController.h"
#import <AVFoundation/AVFoundation.h>
#import "ASIFormDataRequest.h"


typedef enum {
    ENC_AAC = 1,
    ENC_ALAC = 2,
    ENC_IMA4 = 3,
    ENC_ILBC = 4,
    ENC_ULAW = 5,
    ENC_PCM = 6,
} EncodingType;

typedef enum {
    StateInactive = 0,
    StateRecording,
    StatePlaying,
} State;


@interface BRRecordViewController : ButterflyViewController <AVAudioRecorderDelegate, AVAudioPlayerDelegate, ASIHTTPRequestDelegate, BRNetworkOpDelegate, UIAlertViewDelegate, UITableViewDataSource, UITableViewDelegate, UITextFieldDelegate, UITextViewDelegate, UIPickerViewDataSource, UIPickerViewDelegate> {
    
    AVAudioRecorder *recorder;
    AVAudioPlayer *audioPlayer;
}

@property (nonatomic) BOOL premium;
@property (nonatomic) State state;
@property (nonatomic) int timeLeft;
@property (retain, nonatomic) NSMutableDictionary *recordSettings;
@property (retain, nonatomic) Station *station;
@property (copy, nonatomic) NSString *upload;
@property (copy, nonatomic) NSString *thread;
@property (retain, nonatomic) NSTimer *timer;
@end
