//
//  RecordView.h
//  butterflyradio
//
//  Created by Denny Kwon on 4/7/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.


#import <UIKit/UIKit.h>
#import "Globals.h"

@protocol RecordViewDelegate <NSObject>
- (void)mainbtnPressed;
- (void)updateTrackInfo:(id)sender;
@end

#define kMaxTime @"time - 5:00"

@interface RecordView : UIView <UITextFieldDelegate, UITextViewDelegate>


@property (assign) int value;
@property (assign) id delegate;
@property (retain, nonatomic) UITextField *authorField;
@property (retain, nonatomic) UITextField *titleField;
@property (retain, nonatomic) UITextField *tagsField;
@property (retain, nonatomic) UITextView *commentField;
@property (retain, nonatomic) UIButton *mainButton;
@property (retain, nonatomic) UIButton *btnIncrease;
@property (retain, nonatomic) UIButton *btnDecrease;
@property (retain, nonatomic) UILabel *timeLabel;
@property (retain, nonatomic) UILabel *valueLabel;
- (void)activateUploadButton;
- (void)clear;
- (void)setBtnImage:(UIImage *)img;
- (void)updateValueLabel:(int)v;
- (void)setViewMode:(BOOL)premium;
- (void)updateTimeLabel:(int)timeLeft;
@end
