//
//  BRContentCell.h
//  ButterflySDK
//
//  Created by Denny Kwon on 1/12/13.
//  Copyright (c) 2013 ButterflyRadio. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Globals.h"

@protocol ContentCellDelegate <NSObject>
- (void)cellTapped:(int)index;
@end

@interface BRContentCell : UITableViewCell

@property (retain, nonatomic) UIButton *btnReply;
@property (retain, nonatomic) UILabel *lblPrice;
@property (retain, nonatomic) UILabel *lblAuthorized;
@property (assign) id delegate;
- (void)setup;
- (void)clear:(NSString *)message;
@end
