//
//  XMLParser.h
//  matarese
//
//  Created by Denny Kwon on 12/9/12.
//  Copyright (c) 2012 com.thegridmedia. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol XMLParserDelegate <NSObject>
- (void)parserFinished;
@end


@interface XMLParser : NSObject <NSXMLParserDelegate>

@property (assign) id delegate;
@property (retain, nonatomic) NSXMLParser *parser;
@property (retain, nonatomic) NSMutableArray *items;
@property (retain, nonatomic) NSMutableDictionary *currentItem;
@property (copy, nonatomic) NSString *currentElement;
@property (nonatomic) BOOL open;
- (void)parseData:(NSData *)data;
+ (XMLParser *)parser;
@end
