//
//  LauchImagePicker.m
//  app
//
//  Created by Denny Kwon on 12/21/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "LauchImagePicker.h"

@implementation LauchImagePicker

- (id)initWithTarget:(id)t action:(SEL)cbk sourceType:(UIImagePickerControllerSourceType)s
{
    self = [super init];
    if (self){
        target = t;
        action = cbk;
        source = s;
    }
    return  self;
}

- (void)main
{
    NSLog(@"LAUNCH IMAGE PICKER:@");
    if ([self isCancelled])
        return;
    
    UIImagePickerController *imgPicker = [[UIImagePickerController alloc] init];
    imgPicker.sourceType = source;
    if (source==UIImagePickerControllerSourceTypeCamera){
        imgPicker.allowsEditing = YES;
        imgPicker.showsCameraControls = YES;
    }
    
    [target performSelectorOnMainThread:action withObject:[imgPicker autorelease] waitUntilDone:NO];
}


@end
