//
//  UIViewController+BRMethods.m
//  ButterflySDK
//
//  Created by Denny Kwon on 1/21/13.
//  Copyright (c) 2013 ButterflyRadio. All rights reserved.
//

#import "UIViewController+BRMethods.h"
#import <QuartzCore/QuartzCore.h>

@implementation UIViewController (BRMethods)

- (UIImage *)screenshot
{
    CGRect bounds = self.view.bounds;
    
    ([[UIScreen mainScreen] respondsToSelector:@selector(scale)]) ? UIGraphicsBeginImageContextWithOptions(bounds.size, NO, [UIScreen mainScreen].scale) : UIGraphicsBeginImageContext(bounds.size);
    
    UIGraphicsBeginImageContextWithOptions(bounds.size, NO, 0.0f);
    [self.view.layer renderInContext:UIGraphicsGetCurrentContext()];
    UIImage *image = UIGraphicsGetImageFromCurrentImageContext();
    UIGraphicsEndImageContext();
    
    NSLog(@"TAKE SCREENSHOT: %.2f", image.size.height);
    return image;
}



@end
